From: StaticRocket <[email protected]>

OEBase can not have a space in it's name due to parsing limitations of
POSIX shell. Make sure to check this before doing anything.

Signed-off-by: StaticRocket <[email protected]>
---
 oe-layertool-setup.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/oe-layertool-setup.sh b/oe-layertool-setup.sh
index 0928959..8694abd 100755
--- a/oe-layertool-setup.sh
+++ b/oe-layertool-setup.sh
@@ -966,6 +966,14 @@ do
     esac
 done
 
+# add early sanity check
+if printf '%s\n' "$oebase" | grep -q '\s'
+then
+   printf '%s\n' "OE-Base path has whitespace characters in it's path!" \
+                 "This is currently unsupported." ;
+   exit 1
+fi
+
 # create passed in directory if it doesn't exist
 mkdir -p "$oebase"
 
-- 
2.40.1



-=-=-=-=-=-=-=-=-=-=-=-
Links: You receive all messages sent to this group.
View/Reply Online (#14533): 
https://lists.yoctoproject.org/g/meta-arago/message/14533
Mute This Topic: https://lists.yoctoproject.org/mt/99392796/21656
Group Owner: [email protected]
Unsubscribe: https://lists.yoctoproject.org/g/meta-arago/unsub 
[[email protected]]
-=-=-=-=-=-=-=-=-=-=-=-


Reply via email to